/* General styles */
body {
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background: #111;
    font-family: Arial, sans-serif;
}

/* Contenedor general */
.digital-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

/* Pantalla digital */
.digital-screen {
    width: 100%;
    max-width: 130px;
    height: 170px;
    background: #000;
    border: 8px solid #444;
    border-radius: 10px;
    overflow: hidden;
    position: relative;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.8);
}

/* Contenedor de diapositivas */
.slides {
    display: flex;
    height: 100%;
    animation: slideAnimation 9s infinite;
}

/* Cada diapositiva */
.slide {
    flex: 0 0 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: #fff;
    text-align: center;
    padding: 20px;
}
.slide *{
    font-size: 7px;
    word-break: auto-phrase;
}

/* Pie de soporte */
.screen-stand {
    width: 15px;
    height: 50px;
    background: #444;
    border-radius: 5px;
    margin-bottom: 12px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.5);
}
.div-row{
    height: 100vh;
}
.container-screen{
    padding-right: 25px !important;
}
/* Animación */
@keyframes slideAnimation {
    0%, 33.33% { transform: translateX(0); }
    33.34%, 66.66% { transform: translateX(-100%); }
    66.67%, 100% { transform: translateX(-200%); }
}



.modal-custom{
    position: fixed;
    width: 100%;
    height: 100vh;
    z-index: 2000000;
    background-color: rgba(0, 0, 0, 0.75);
    padding-top:55px;
    display: none;
    visibility: hidden;
}
.modal-custom.show{
    display: block;
    visibility: visible;
}
.modal-container-custom {
    max-height: 400px;
    max-width: 500px;
    margin-left: auto;
    margin-right: auto;
    background-color: #fff;
    border-radius: 16px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    box-shadow: 0 15px 30px 0 rgba(0, 0, 0, 0.25);
  }
  
  @media (max-width: 600px) {
    .modal-container-custom {
      width: 90%;
    }
  }
  
  .modal-container-header {
    padding: 16px 32px;
    border-bottom: 1px solid #ddd;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
  
  .modal-container-title {
    display: flex;
    align-items: center;
    gap: 8px;
    line-height: 1;
    font-weight: 700;
    font-size: 1.125;
  }
  
  .modal-container-title svg {
    width: 32px;
    height: 32px;
    color: #750550;
  }
  
  .modal-container-body {
    padding: 24px 32px 51px;
    overflow-y: auto;
  }
  
  .rtf h1,
  .rtf h2,
  .rtf h3,
  .rtf h4,
  .rtf h5,
  .rtf h6 {
    font-weight: 700;
  }
  
  .rtf h1 {
    font-size: 1.5rem;
    line-height: 1.125;
  }
  
  .rtf h2 {
    font-size: 1.25rem;
    line-height: 1.25;
  }
  
  .rtf h3 {
    font-size: 1rem;
    line-height: 1.5;
  }
  
  .rtf > * + * {
    margin-top: 1em;
  }
  
  .rtf > * + :is(h1, h2, h3) {
    margin-top: 2em;
  }
  
  .rtf > :is(h1, h2, h3) + * {
    margin-top: 0.75em;
  }
  
  .rtf ul,
  .rtf ol {
    margin-left: 20px;
    list-style-position: inside;
  }
  
  .rtf ol {
    list-style: numeric;
  }
  
  .rtf ul {
    list-style: disc;
  }
  
  .modal-container-footer {
    padding: 20px 32px;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    border-top: 1px solid #ddd;
    gap: 12px;
    position: relative;
  }
  
  .modal-container-footer:after {
    content: "";
    display: block;
    position: absolute;
    top: -51px;
    left: 24px;
    right: 24px;
    height: 50px;
    flex-shrink: 0;
    background-image: linear-gradient(to top, rgba(255, 255, 255, 0.75), transparent);
    pointer-events: none;
  }
  
  .button.isButton {
    padding: 12px 20px;
    border-radius: 8px;
    background-color: transparent;
    border: 0;
    font-weight: 600;
    cursor: pointer;
    transition: 0.15s ease;
  }
  
  .button.is-ghost:hover, .button.is-ghost:focus {
    background-color: #dfdad7;
  }
  
  .button.is-primary {
    background-color: #750550;
    color: #fff;
  }
  
  .button.is-primary:hover, .button.is-primary:focus {
    background-color: #4a0433;
  }
  
  .icon-button {
    padding: 0;
    border: 0;
    background-color: transparent;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    line-height: 1;
    cursor: pointer;
    border-radius: 8px;
    transition: 0.15s ease;
  }
  
  .icon-button svg {
    width: 24px;
    height: 24px;
  }
  
  .icon-button:hover, .icon-button:focus {
    background-color: #dfdad7;
  }

  .btn-float{
    width:45px;
    height:45px;
    position:fixed;
    bottom: 10px;
    right:10px;
    border-radius: 25px;
    background-color: #424143;
    border:none;
    color:#fff;
    font-size:25px;
    animation: infoAnimaion 5s infinite;
   
  }
  @keyframes infoAnimaion {
    0% {
      transform: scale(1);
    }
    25% {
      transform: scale(1.1);
    }
    50% {
      transform: scale(0.95);
    }
    75% {
      transform: scale(1.15);
    }
    100% {
      transform: scale(1);
    }
}

@media only screen and (max-width: 900px) {
    .container-screen{
        padding-right: 0px !important;
        justify-content: flex-end;
    }
    .digital-container{
        width: unset;
        margin-right: 25px;
    }
}